#include <iostream>
#include "Circle.hpp"
using namespace std;

int main()
{
    Circle circle1(1,1,3);
    Circle circle2;

    cout << " Circle No.1\n" ;
    circle1.printc();
    cout << " Circle No.2\n" ;
    circle2.printc();    
    cout << endl;    
    
//  Copy circle1 to circle2
    cout << " Copy circle1 to circle2\n";
    circle2.copy(circle1);
    cout << " Circle No.2\n" ;
    circle2.printc();    
    cout << endl;    

//  Set new cordinates to circle1
    cout << " Set new cordinates to circle1\n";
    circle1.set(2,3,4);
    cout << " Circle No.1\n" ;
    circle1.printc();
    cout << endl;
        
    cout << " Area of circle1 : " << circle1.area() << endl;
    cout << " Area of circle2 : " << circle2.area() << endl;   
    cout << endl;
        
//  Check if circle1 == circle2
    cout << " Check if circle1 == circle2\n";
    if (circle1 == circle2)
        cout << " The circles are the same\n";
    else
        cout << " The circles are not the same\n";    
    cout << endl;        

//  Copy cordinates of circle1 to circle2, using operator = and check again
    cout << " Copy cordinates of circle1 to circle2, using operator = and check again\n";
    circle1 = circle2;
    if (circle1 == circle2)
        cout << " The circles are the same\n";
    else
        cout << " The circles are not the same\n";    
        
    std:cin.get();
    return(0);
}
